<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="18122" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="18093"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="LessonDescriptionViewController" customModule="QatarDrivingSchools" customModuleProvider="target">
            <connections>
                <outlet property="activityIndicator" destination="Vh3-bR-fJG" id="6ix-5p-4US"/>
                <outlet property="imageViewTop" destination="zZc-WQ-nls" id="jxn-q4-zdX"/>
                <outlet property="labelTitle" destination="c7t-ub-IKA" id="8Y1-4q-lP4"/>
                <outlet property="tableView" destination="Yjt-l7-XCF" id="VRa-5b-2Hc"/>
                <outlet property="view" destination="WwL-JQ-O5T" id="Ebq-5M-JPX"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="WwL-JQ-O5T">
            <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" translatesAutoresizingMaskIntoConstraints="NO" id="zZc-WQ-nls">
                    <rect key="frame" x="0.0" y="0.0" width="414" height="387"/>
                </imageView>
                <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="header_bg" translatesAutoresizingMaskIntoConstraints="NO" id="khL-Rq-gem">
                    <rect key="frame" x="0.0" y="0.0" width="414" height="132"/>
                </imageView>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="f97-7h-49c">
                    <rect key="frame" x="10" y="44" width="44" height="44"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="44" id="Alq-Sh-hvq"/>
                        <constraint firstAttribute="width" constant="44" id="BfH-ya-d2O"/>
                    </constraints>
                    <state key="normal" image="back_white_ic"/>
                    <connections>
                        <action selector="buttonBackTouchUpInside:" destination="-1" eventType="touchUpInside" id="yPG-J5-H6b"/>
                    </connections>
                </button>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Label" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="c7t-ub-IKA">
                    <rect key="frame" x="64" y="56" width="286" height="20.5"/>
                    <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                    <color key="textColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <nil key="highlightedColor"/>
                </label>
                <button hidden="YES" opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="1cq-Cm-ned">
                    <rect key="frame" x="286" y="52.5" width="108" height="27"/>
                    <fontDescription key="fontDescription" type="system" weight="semibold" pointSize="12"/>
                    <state key="normal" title="Mark As Complete">
                        <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    </state>
                    <connections>
                        <action selector="buttonMarkAsComplete:" destination="-1" eventType="touchUpInside" id="blR-9H-J4J"/>
                    </connections>
                </button>
                <view clipsSubviews="YES" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="WKu-CZ-Xa4" customClass="DesignableView" customModule="QatarDrivingSchools" customModuleProvider="target">
                    <rect key="frame" x="0.0" y="88" width="414" height="774"/>
                    <subviews>
                        <tableView clipsSubviews="YES" contentMode="scaleToFill" bounces="NO" bouncesZoom="NO" style="plain" separatorStyle="none" rowHeight="-1" estimatedRowHeight="-1" sectionHeaderHeight="28" sectionFooterHeight="28" translatesAutoresizingMaskIntoConstraints="NO" id="Yjt-l7-XCF">
                            <rect key="frame" x="0.0" y="0.0" width="414" height="769"/>
                            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                        </tableView>
                    </subviews>
                    <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <constraints>
                        <constraint firstItem="Yjt-l7-XCF" firstAttribute="leading" secondItem="WKu-CZ-Xa4" secondAttribute="leading" id="Lye-4d-HVC"/>
                        <constraint firstAttribute="trailing" secondItem="Yjt-l7-XCF" secondAttribute="trailing" id="Tbv-F9-6XU"/>
                        <constraint firstItem="Yjt-l7-XCF" firstAttribute="top" secondItem="WKu-CZ-Xa4" secondAttribute="top" id="mwC-fF-QyS"/>
                        <constraint firstAttribute="bottom" secondItem="Yjt-l7-XCF" secondAttribute="bottom" constant="5" id="x9q-5t-5rI"/>
                    </constraints>
                    <userDefinedRuntimeAttributes>
                        <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                            <real key="value" value="20"/>
                        </userDefinedRuntimeAttribute>
                    </userDefinedRuntimeAttributes>
                </view>
                <activityIndicatorView opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="750" verticalHuggingPriority="750" hidesWhenStopped="YES" animating="YES" style="medium" translatesAutoresizingMaskIntoConstraints="NO" id="Vh3-bR-fJG">
                    <rect key="frame" x="374" y="56" width="20" height="20"/>
                    <color key="color" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                </activityIndicatorView>
            </subviews>
            <viewLayoutGuide key="safeArea" id="0Ud-DG-H7P"/>
            <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
            <constraints>
                <constraint firstItem="0Ud-DG-H7P" firstAttribute="trailing" secondItem="khL-Rq-gem" secondAttribute="trailing" id="1Ni-lB-XcB"/>
                <constraint firstItem="WKu-CZ-Xa4" firstAttribute="bottom" secondItem="0Ud-DG-H7P" secondAttribute="bottom" id="3Hy-OE-FdS"/>
                <constraint firstItem="0Ud-DG-H7P" firstAttribute="trailing" secondItem="Vh3-bR-fJG" secondAttribute="trailing" constant="20" id="638-0D-zT8"/>
                <constraint firstItem="c7t-ub-IKA" firstAttribute="centerX" secondItem="WwL-JQ-O5T" secondAttribute="centerX" id="6As-MD-uFA"/>
                <constraint firstItem="WKu-CZ-Xa4" firstAttribute="top" secondItem="f97-7h-49c" secondAttribute="bottom" id="7j9-26-OCb"/>
                <constraint firstItem="zZc-WQ-nls" firstAttribute="leading" secondItem="0Ud-DG-H7P" secondAttribute="leading" id="95v-RL-Ivt"/>
                <constraint firstItem="f97-7h-49c" firstAttribute="leading" secondItem="0Ud-DG-H7P" secondAttribute="leading" constant="10" id="AOJ-EJ-TTb"/>
                <constraint firstItem="zZc-WQ-nls" firstAttribute="top" secondItem="WwL-JQ-O5T" secondAttribute="top" id="Cjm-8p-0Km"/>
                <constraint firstItem="WKu-CZ-Xa4" firstAttribute="trailing" secondItem="0Ud-DG-H7P" secondAttribute="trailing" id="Cpa-eI-WrM"/>
                <constraint firstItem="1cq-Cm-ned" firstAttribute="centerY" secondItem="c7t-ub-IKA" secondAttribute="centerY" id="DLe-UV-dWj"/>
                <constraint firstItem="khL-Rq-gem" firstAttribute="bottom" secondItem="f97-7h-49c" secondAttribute="bottom" constant="44" id="F8B-ml-P3I"/>
                <constraint firstItem="zZc-WQ-nls" firstAttribute="height" secondItem="WKu-CZ-Xa4" secondAttribute="height" multiplier="0.5" id="NFr-Nl-RFP"/>
                <constraint firstItem="Vh3-bR-fJG" firstAttribute="centerY" secondItem="c7t-ub-IKA" secondAttribute="centerY" id="asK-8T-bv7"/>
                <constraint firstItem="0Ud-DG-H7P" firstAttribute="trailing" secondItem="zZc-WQ-nls" secondAttribute="trailing" id="eLX-we-16I"/>
                <constraint firstItem="c7t-ub-IKA" firstAttribute="centerY" secondItem="f97-7h-49c" secondAttribute="centerY" id="grQ-CK-97n"/>
                <constraint firstItem="0Ud-DG-H7P" firstAttribute="trailing" secondItem="1cq-Cm-ned" secondAttribute="trailing" constant="20" id="jmW-gR-kHb"/>
                <constraint firstItem="khL-Rq-gem" firstAttribute="top" secondItem="WwL-JQ-O5T" secondAttribute="top" id="lT1-6b-ueR"/>
                <constraint firstItem="f97-7h-49c" firstAttribute="top" secondItem="0Ud-DG-H7P" secondAttribute="top" id="rLM-yq-Nh9"/>
                <constraint firstItem="khL-Rq-gem" firstAttribute="leading" secondItem="0Ud-DG-H7P" secondAttribute="leading" id="rpq-X0-h9N"/>
                <constraint firstItem="WKu-CZ-Xa4" firstAttribute="leading" secondItem="0Ud-DG-H7P" secondAttribute="leading" id="xhU-N4-tj3"/>
                <constraint firstItem="c7t-ub-IKA" firstAttribute="leading" secondItem="f97-7h-49c" secondAttribute="trailing" constant="10" id="yep-yH-9z0"/>
                <constraint firstAttribute="trailing" relation="greaterThanOrEqual" secondItem="c7t-ub-IKA" secondAttribute="trailing" constant="10" id="zFU-MI-ec2"/>
            </constraints>
            <point key="canvasLocation" x="95.652173913043484" y="72.991071428571431"/>
        </view>
    </objects>
    <resources>
        <image name="back_white_ic" width="19.5" height="18.5"/>
        <image name="header_bg" width="647.5" height="173"/>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
